com.holonplatform.jaxrs.swagger.v2.internal

## Interface SwaggerConfiguration

- All Superinterfaces:
    io.swagger.config.SwaggerConfig
  All Known Implementing Classes:
    DefaultSwaggerConfiguration

      public interface SwaggerConfiguration
      extends io.swagger.config.SwaggerConfig

  Extended Swagger configuration.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.swagger.models.ExternalDocs` | `getExternalDocs()` Get the external docs reference
    `Collection<String>` | `getIgnoredRoutes()` Get the API routes to ignore.
    `String` | `getReaderClass()` Get the API reader class.
    `Set<String>` | `getResourcePackages()` Get the package names to use to filter the API resource classes.
    `String` | `getScannerClass()` Get the API scanner class.
    `List<io.swagger.models.SecurityRequirement>` | `getSecurity()` Get the security requirements
    `boolean` | `isPrettyPrint()` Get whether to pretty print the API output.
    `boolean` | `isReadAllResources()` Get whether to read all the API resource classes, diregarding the Api annotation.
    `void` | `setPrettyPrint(boolean prettyPrint)` Set whether to pretty print the API output.
    `void` | `setResourcePackages(Set<String> resourcePackages)` Set the package names to use to filter the API resource classes.

    - ### Methods inherited from interface io.swagger.config.SwaggerConfig

      `configure, getFilterClass`

- - ### Method Detail

    - #### getResourcePackages

          Set<String> getResourcePackages()

      Get the package names to use to filter the API resource classes.
      Returns:
        The resource packages

    - #### getReaderClass

          String getReaderClass()

      Get the API reader class.
      Returns:
        the API reader class

    - #### getScannerClass

          String getScannerClass()

      Get the API scanner class.
      Returns:
        the API scanner class

    - #### getIgnoredRoutes

          Collection<String> getIgnoredRoutes()

      Get the API routes to ignore.
      Returns:
        the API routes to ignore

    - #### isReadAllResources

          boolean isReadAllResources()

      Get whether to read all the API resource classes, diregarding the Api annotation.
      Returns:
        whether to read all the API resource classes

    - #### isPrettyPrint

          boolean isPrettyPrint()

      Get whether to pretty print the API output.
      Returns:
        whether to pretty print the API output

    - #### setResourcePackages

          void setResourcePackages(Set<String> resourcePackages)

      Set the package names to use to filter the API resource classes.
      Parameters:
        `resourcePackages` - the package names to set

    - #### setPrettyPrint

          void setPrettyPrint(boolean prettyPrint)

      Set whether to pretty print the API output.
      Parameters:
        `prettyPrint` - whether to pretty print the API output

    - #### getExternalDocs

          io.swagger.models.ExternalDocs getExternalDocs()

      Get the external docs reference
      Returns:
        the external docs

    - #### getSecurity

          List<io.swagger.models.SecurityRequirement> getSecurity()

      Get the security requirements
      Returns:
        the security requirements

Copyright © 2019 The Holon Platform. All rights reserved.